# Safari Extension generator [![Build Status](https://secure.travis-ci.org/lanceli/generator-safari-extension.png?branch=master)](https://travis-ci.org/lanceli/generator-safari-extension)

> [Yeoman](http://yeoman.io) generator for Safari Extensions inspired by [Chrome Extension generator](https://github.com/yeoman/generator-chrome-extension)


## Getting Started

- First make a new directory, and `cd` into it: mkdir my-new-safari-extension && cd $_
- Install the generator: `npm install -g generator-safari-extension`
- Run: `yo safari-extension`

Need more information about Safari Extension? Please visit [Safari Extensions Development Guide](https://developer.apple.com/library/safari/documentation/Tools/Conceptual/SafariExtensionGuide/)

## Debug

```bash
$ grunt debug
```

## Build

```bash
$ grunt
```

## Options

* `--skip-install`

Skips the automatic execution of `bower` and `npm` after
scaffolding has finished.

* `--test-framework=[framework]`

Defaults to `mocha`. Can be switched for
another supported testing framework like `jasmine`.

* `--coffee`

Add support for [CoffeeScript](http://coffeescript.org/).

* `--compass`

Add support for [Compass](http://compass-style.org/).

> WARN, Compiled files that generated by coffee or compass will be remained if your extension is running on with `grunt debug`. You should remove or ignore that files if you don't want to commit to repo.

## License

[MIT](LICENSE)
